# ***********************************************************
#
# Initialize simulation quantities for reading binary data   
# with Gnuplot. 
# Generated by PLUTO on  Tue Dec  7 01:09:50 2021
#
# ***********************************************************
if (!exists('dtype')) {
  dtype = 'dbl' # Default data type
}
print '> dtype set to ',dtype

# --------------------------------------- 
# Grid setting                            
# --------------------------------------- 
nx1 = 96
nx2 = 192
nx3 = 1
x1beg = 0.000000; x1end = 1.000000
x2beg = -1.000000; x2end = 1.000000
x3beg = 0.000000; x3end = 1.000000
dx1   = 0.010417
dx2   = 0.010417
dx3   = 1.000000

# --------------------------------------- 
# Variable indices                        
# --------------------------------------- 
if (dtype eq 'flt' || dtype eq 'tab') {
  rho = 0
  vx1 = 1
  vx2 = 2
  vx3 = 3
  Bx1 = 4
  Bx2 = 5
  Bx3 = 6
  prs = 7
  tr1 = 8
  print '> Var Names: rho  vx1  vx2  vx3  Bx1  Bx2  Bx3  prs  tr1  '
}
if (dtype eq 'dbl') {
  rho = 0
  vx1 = 1
  vx2 = 2
  vx3 = 3
  Bx1 = 4
  Bx2 = 5
  Bx3 = 6
  prs = 7
  tr1 = 8
  Bx1s = 9
  Bx2s = 10
  print '> Var Names: rho  vx1  vx2  vx3  Bx1  Bx2  Bx3  prs  tr1  Bx1s  Bx2s  '
}
if (!exists('nvar')) {
  nvar = 0
  print '> nvar = ',nvar
}

# --------------------------------------- 
# Output datatype                         
# --------------------------------------- 
#set term push       # remember current terminal
#set term unknown
#plot 'dbl.out' u 1
#ndbl = int(GPVAL_DATA_Y_MAX)
#plot 'flt.out' u 1
#nflt = int(GPVAL_DATA_Y_MAX)
#set term pop         # restore terminal

# --------------------------------------- 
# Load gnuplot scripts                    
# --------------------------------------- 
load 'macros.gp'
if (nx2 > 1) load 'pm3d_setting.gp'
