# ***********************************************************
#
# Initialize simulation quantities for reading binary data   
# with Gnuplot. 
# Generated by PLUTO on  Wed Nov 24 19:20:21 2021
#
# ***********************************************************
if (!exists('dtype')) {
  dtype = 'flt' # Default data type
}
print '> dtype set to ',dtype

# --------------------------------------- 
# Grid setting                            
# --------------------------------------- 
nx1 = 192
nx2 = 192
nx3 = 1
x1beg = -10.000000; x1end = 10.000000
x2beg = -10.000000; x2end = 10.000000
x3beg = 0.000000; x3end = 1.000000
dx1   = 0.104167
dx2   = 0.104167
dx3   = 1.000000

# --------------------------------------- 
# Variable indices                        
# --------------------------------------- 
if (dtype eq 'flt') {
  rho = 0
  vx1 = 1
  vx2 = 2
  vx3 = 3
  Bx1 = 4
  Bx2 = 5
  Bx3 = 6
  prs = 7
  print '> Var Names: rho  vx1  vx2  vx3  Bx1  Bx2  Bx3  prs  '
}
if (!exists('nvar')) {
  nvar = 0
  print '> nvar = ',nvar
}

# --------------------------------------- 
# Output datatype                         
# --------------------------------------- 
#set term push       # remember current terminal
#set term unknown
#plot 'flt.out' u 1
#nflt = int(GPVAL_DATA_Y_MAX)
#set term pop         # restore terminal

# --------------------------------------- 
# Load gnuplot scripts                    
# --------------------------------------- 
load 'macros.gp'
if (nx2 > 1) load 'pm3d_setting.gp'
