import os
from numpy import *
import matplotlib.pyplot as plt
import pyPLUTO as pypl
import pyPLUTO.pload as pp

nlinf = pypl.nlast_info(w_dir='./', datatype='flt')

for nout in range(0, 21):
    D = pp.pload(nout, datatype='flt')

    plt.rcParams.update({'font.size': 15})
    plt.title('Pressure, t = ' + str(round(D.SimTime, 3)))
    plt.contour(D.x1, D.x2, D.Ax3.T, 12, colors='gray', linewidths=1.0, linestyles='solid')
    plt.imshow(D.prs.T, extent=[D.x1.min(),D.x1.max(),D.x2.min(),D.x2.max()], cmap='jet')
    plt.colorbar()
    plt.xlabel('x')
    plt.ylabel('y')
    plt.savefig('BW0_video_'+str(nout).zfill(4))
    plt.draw()
    plt.pause(0.2)
    if (nout == 20):
        plt.show()
    plt.clf()
